Subject: Re: CONFIG_PS3_USE_LPAR_ADDR dramically increases boot time

From: Geoff Levand <[email-masked]>
Date: Mon, 18 Jun 2007 16:55:56 -0700

Arnd Bergmann wrote:
> On Tuesday 19 June 2007, Geoff Levand wrote:
>> Arnd mention that he planed to re-do the spu region management, and
>> I think with that we can use CONFIG_PS3_USE_LPAR_ADDR=n and the spufs
>> at the same time.  Arnd, what is the status?
> 
> BenH already changed the spufs code to use the nopfn method instead of
> nopage, so we no longer depend on sparsemem. Does that take care
> of the problem?

I think that there is a good chance it will, but I'll need to look at
it, as it was some time ago I did that work.

-Geoff